summaryrefslogtreecommitdiff
path: root/extra/graphite
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/graphite
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/graphite')
-rw-r--r--extra/graphite/PKGBUILD51
-rw-r--r--extra/graphite/pango-graphite.install12
2 files changed, 63 insertions, 0 deletions
diff --git a/extra/graphite/PKGBUILD b/extra/graphite/PKGBUILD
new file mode 100644
index 000000000..622ab8eb0
--- /dev/null
+++ b/extra/graphite/PKGBUILD
@@ -0,0 +1,51 @@
+# $Id: PKGBUILD 51199 2009-09-05 20:11:42Z andyrtr $
+# Maintainer: AndyRTR <andyrtr@archlinux.org>
+
+# build twice that pango-graphite can pickup the new libgraphite dependency - take care when .so names happen!
+
+pkgbase=graphite
+pkgname=('libgraphite' 'pango-graphite')
+pkgver=2.3.1
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://graphite.sil.org/"
+makedepends=('pango' 'gcc-libs')
+options=('!libtool' '!emptydirs')
+source=(http://downloads.sourceforge.net/project/silgraphite/silgraphite/${pkgver}/silgraphite-${pkgver}.tar.gz)
+md5sums=('d35724900f6a4105550293686688bbb3')
+
+build() {
+ cd "${srcdir}/silgraphite-${pkgver}"
+ pushd engine
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+ popd
+
+ pushd wrappers/pangographite
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+ popd
+}
+
+package_libgraphite() {
+ pkgdesc="SILGraphite - a \"smart font\" rendering engine - the libs and headers"
+ license=('custom_SIL Dual license')
+ depends=('gcc-libs')
+
+ cd "${srcdir}/silgraphite-${pkgver}"/engine
+ make DESTDIR="$pkgdir/" install || return 1
+
+ # licenses
+ mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+ install -m644 license/*.txt "${pkgdir}"/usr/share/licenses/${pkgname}/
+}
+
+package_pango-graphite() {
+ pkgdesc="SILGraphite support for pango"
+ license=('LGPL')
+ depends=('pango' 'libgraphite')
+ install=pango-graphite.install
+
+ cd "${srcdir}/silgraphite-${pkgver}"/wrappers/pangographite
+ make DESTDIR="$pkgdir/" install || return 1
+} \ No newline at end of file
diff --git a/extra/graphite/pango-graphite.install b/extra/graphite/pango-graphite.install
new file mode 100644
index 000000000..46bc44611
--- /dev/null
+++ b/extra/graphite/pango-graphite.install
@@ -0,0 +1,12 @@
+post_install() {
+ usr/bin/pango-querymodules >etc/pango/pango.modules
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ post_install $1
+}
+